package org.jeecg.modules.stm.baosong.service;

import org.jeecg.modules.stm.baosong.entity.BaosongTaskAlloc;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.stm.baosong.entity.BaosongTpl;
import org.jeecg.modules.stm.baosong.entity.BaosongTplItem;

import java.util.List;
import java.util.Map;

/**
 * @Description: 任务分配
 * @Author: jeecg-boot
 * @Date:   2024-12-17
 * @Version: V1.0
 */
public interface IBaosongTaskAllocService extends IService<BaosongTaskAlloc> {
    List<Map<String,Object>> queryAllTaskAlloc(BaosongTaskAlloc alloc);
    List<BaosongTpl> queryAllTplForUser(BaosongTaskAlloc taskAlloc);
    List<BaosongTplItem> queryAllTplItemForUser(BaosongTaskAlloc alloc);
    List<Map<String,Object>> queryCurTaskAllocUser(BaosongTaskAlloc alloc);

    Map<Integer,Integer> statAllocNum(BaosongTaskAlloc alloc);
    Map<Integer,Integer> staTplChildNum(BaosongTaskAlloc alloc);
    Map<Integer,Boolean> selectTaskStatus(BaosongTaskAlloc alloc);
    Map<Integer,Integer> selectTaskFillSta(BaosongTaskAlloc alloc);
    String getFillUsers(Integer taskId,Integer tplId);
}
